Skip to main content
GET
/
api
/
extensions
/
beta
/
extensions
/
{extensionId}
Get an Extension by id
curl --request GET \
  --url https://api.example.com/api/extensions/beta/extensions/{extensionId} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "appId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "userName": "<string>"
  },
  "enabled": true,
  "id": "<string>",
  "name": "<string>",
  "totalViews": 123,
  "uiMountPointTypeConfigs": {
    "adminPanel": {
      "enabled": true,
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    },
    "dataset": {
      "enabled": true,
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    },
    "datasetFileContext": {
      "enabled": true,
      "allProjects": true,
      "fileTypes": [
        "<string>"
      ],
      "mountPoints": [
        {
          "enabled": true,
          "projectId": "<string>"
        }
      ],
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    },
    "modelDetails": {
      "enabled": true,
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    },
    "netAppVolume": {
      "enabled": true,
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    },
    "netAppVolumeFileContext": {
      "enabled": true,
      "allProjects": true,
      "fileTypes": [
        "<string>"
      ],
      "mountPoints": [
        {
          "enabled": true,
          "projectId": "<string>"
        }
      ],
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    },
    "projectSidebar": {
      "enabled": true,
      "allProjects": true,
      "mountPoints": [
        {
          "enabled": true,
          "projectId": "<string>"
        }
      ],
      "urlConfig": {
        "contextualQueryParams": [],
        "route": "<string>"
      }
    }
  },
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": {
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "userName": "<string>"
  },
  "appVersionId": "<string>",
  "deletedAt": "2023-11-07T05:31:56Z",
  "deletedBy": {
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "userName": "<string>"
  },
  "description": "<string>"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

extensionId
string
required

The id of the Extension to retrieve.

Query Parameters

exclude_mount_points
boolean

Whether to exclude mount point information in the response. By default, mount point information is included.

Response

Success

appId
string
required

The id of the App to associate the Extension with.

createdAt
string<date-time>
required

The date and time when the Extension was created.

createdBy
object
required

Information about a Domino user including id and names.

enabled
boolean
required

Whether the Extension is globally enabled or disabled.

id
string
required

The id of the Extension.

kind
enum<string>
required

The category of the Extension.

Available options:
DominoOfficial,
Uncategorized
name
string
required

The name of the Extension.

totalViews
integer<int64>
required

The total number of views across all app versions.

uiMountPointTypeConfigs
object
required

The configuration for the UI mount points of the Extension. Each property corresponds to a different mount point in the Domino UI where the Extension can be mounted.

updatedAt
string<date-time>
required

The date and time when the Extension was last updated.

updatedBy
object
required

Information about a Domino user including id and names.

appVersionId
string

The version of the App to associate the Extension with.

deletedAt
string<date-time>

The date and time when the Extension was deleted. If null, the Extension has not been deleted.

deletedBy
object

Information about a Domino user including id and names.

description
string

The description of the Extension.